Subject: Re: linux-next: build warning after merge of the net-next tree

From: Ioana Ciornei <[email-masked]>
Date: Tue, 15 Dec 2020 09:43:41 +0200

On Tue, Dec 15, 2020 at 07:01:25AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Thu, 26 Nov 2020 17:40:57 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the net-next tree, today's linux-next build (htmldocs)
> > produced this warning:
> > 
> > include/linux/phy.h:869: warning: Function parameter or member 'config_intr' not described in 'phy_driver'
> > 
> > Introduced by commit
> > 
> >   6527b938426f ("net: phy: remove the .did_interrupt() and .ack_interrupt() callback")
> 
> I am still getting this warning.

Hi,

Sorry for not responding in time, I know I verified this the first time
but somehow did not answer the email.

The .config_intr() is documented but it seems that it's not parsed
properly since the comment starts on the same line as the /**. A diff
like below seems to do the trick. I will send it out.

--- a/include/linux/phy.h
+++ b/include/linux/phy.h
@@ -743,7 +743,8 @@ struct phy_driver {
 	/** @read_status: Determines the negotiated speed and duplex */
 	int (*read_status)(struct phy_device *phydev);
 
-	/** @config_intr: Enables or disables interrupts.
+	/**
+	 * @config_intr: Enables or disables interrupts.
 	 * It should also clear any pending interrupts prior to enabling the
 	 * IRQs and after disabling them.
 	 */

Ioana